#include <bits/stdc++.h>
using namespace std;
int main(){
    int n,niz[200005],q,l,r,broj;
    cin >> n;
    for(int i=0;i<n;i++){
        cin >> niz[i];
    }
    cin >> q;
    for(int i=0;i<q;i++){
        cin >> l >> r;
        l=l-1;
        r=r-1;
        broj=0;
        for(int j=l;j<r;j++){
            if(niz[j]>niz[j+1]){
                broj++;
            }
            if(broj>1){
                cout << "NE" << endl;
                break;
            }
        }
        if(broj<=1){
            cout << "DA" << endl;
        }
    }
}